Bug 182542 - X server fails to start
X server fails to start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 23:00 EST by Bruce Orchard
Modified: 2014-03-16 22:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 11:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/X.log (805 bytes, text/plain)
2006-02-24 10:38 EST, Bruce Orchard
no flags Details
/tmp/XConfig.test (3.22 KB, text/plain)
2006-02-24 10:40 EST, Bruce Orchard
no flags Details
/tmp/ramfs/X.log (22.18 KB, text/plain)
2006-02-24 10:40 EST, Bruce Orchard
no flags Details
/tmp/ramfs/X.log.old (22.09 KB, text/plain)
2006-02-24 10:41 EST, Bruce Orchard
no flags Details
/etc/sysconfig/hwconf (7.64 KB, text/plain)
2006-03-03 14:02 EST, Bruce Orchard
no flags Details
output from ddcprobe (243 bytes, text/plain)
2006-03-03 14:03 EST, Bruce Orchard
no flags Details

  None (edit)
Description Bruce Orchard 2006-02-22 23:00:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

Description of problem:
The X server fails to start in anaconda

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot the CD
2.
3.
  

Actual Results:  Extract from console log:

Running anaconda...
Probing for video card:  ATI Technologies RV 5B60 [Radeon X300 (PCIE)]
Probing for monitor type:  Dell 1905FP (Digital)
Attempting to start native X server
Waiting for X server to start (Log locaiton /tmp/X.log)
1..2..3..4..5  X server failed to start
Attempting to start VESA driver X server
1..2..3..4..5  X server failed to start


Expected Results:  X server should have started and anaconda dialog appeard in X window

Additional info:

This is a Dell XPS 400 with a Pentium D/3.0GHz CPU

I haven't figured out how to get to the X log after it fails.
Comment 1 Bruce Orchard 2006-02-22 23:27:54 EST
This worked OK in FC 5 test2
Comment 2 Chris Lumens 2006-02-23 10:31:31 EST
You can get the X log by pressing ctrl-alt-f2 and copying /tmp/X.log to a
floppy, scping it to another machine, or whatever methods you have available.
Comment 3 Bruce Orchard 2006-02-24 10:38:07 EST
Here is the error message:

Fatal server error:
no screens found

The log files and config files are attached
Comment 4 Bruce Orchard 2006-02-24 10:38:56 EST
Created attachment 125181 [details]
/tmp/X.log
Comment 5 Bruce Orchard 2006-02-24 10:40:11 EST
Created attachment 125182 [details]
/tmp/XConfig.test
Comment 6 Bruce Orchard 2006-02-24 10:40:56 EST
Created attachment 125183 [details]
/tmp/ramfs/X.log
Comment 7 Bruce Orchard 2006-02-24 10:41:14 EST
Created attachment 125184 [details]
/tmp/ramfs/X.log.old
Comment 8 Mike A. Harris 2006-02-24 12:20:44 EST
The radeon.xinf file contains:

alias pcivideo:v00001002d00005B60sv*sd*bc*sc*i* radeon

Which will cause the radeon driver to get assigned for this video card.
However anaconda is assigning the "ati" driver, which is incorrect and
unreliable.  While the "ati" driver should in theory work for all ATI
hardware, as it is only a wrapper around the 3 "real" drivers, in practice,
it is an extra layer of code which is subject to not work properly, so
we don't use it.

I've visually inspected the "ati.xinf" file and confirmed that it does not
list this PCI ID.  So, something else is assigning the incorrect video
driver.

CC'ing installer, config tool, and other folk for thoughts
Comment 9 Jeremy Katz 2006-02-24 12:27:08 EST
hwdata still has ati for a lot of things, so I bet we're just getting "random".

Bill -- what do you think about nuking videoaliases/stock at this point?
Comment 10 Bill Nottingham 2006-02-24 12:32:34 EST
Yeah, that could work.
Comment 11 Bruce Orchard 2006-03-03 14:01:34 EST
I did an install in text mode.  As I expected, at first boot time, I got the
same message about no screens found.  Having a running system allowed me to look
at /etc/sysconfig/hwconf and the output from ddcprobe.  They are attached.  The
interesting thing is that hwconf has 3 entries of class VIDEO.  The computer in
fact has one video interface, an ATI Radeon X300 with 128MB of RAM.  In hwconf,
the third entry is listed as "ATI Technologies Inc. V380".  That is the entry
ddcprobe found.  I think that entry came from some video RAM on the video board.

Comment 12 Bruce Orchard 2006-03-03 14:02:41 EST
Created attachment 125612 [details]
/etc/sysconfig/hwconf
Comment 13 Bruce Orchard 2006-03-03 14:03:19 EST
Created attachment 125614 [details]
output from ddcprobe
Comment 14 Mike A. Harris 2006-06-14 11:56:19 EDT
Our bugzilla database had a catastrophic failure on June 13, 2006
which lost all bug changes from Thurs June 9th through 13th.  I have
bugzilla email records of the time period however, and will be
restoring as many changes as I can manually.

Comment 15 Mike A. Harris 2006-06-14 11:57:19 EDT
As indicated above, the ati driver rpm is correctly listing this
chip and pointing it to the correct driver, so if the wrong driver
is getting used, that is a bug in our configuration tools.

Reassigning to kudzu, although I'm not sure if that's the right component
currently..  reassign as needed...
Comment 16 Mike A. Harris 2006-06-14 11:58:22 EDT
------- Additional Comments From notting@redhat.com  2006-06-12 01:49 EST -------
This should be fixed in the final FC5 release. Please reopen if it is not.


Note You need to log in before you can comment on or make changes to this bug.